Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# TAO::PG_Object_Group_Manipulator Class Reference

`#include <PG_Object_Group_Manipulator.h>`

Collaboration diagram for TAO::PG_Object_Group_Manipulator:

[legend]
List of all members.

## Public Member Functions
| PG_Object_Group_Manipulator ()
| Constructor.
| ~PG_Object_Group_Manipulator ()
| Destructor.
void | init (CORBA::ORB_ptr orb, PortableServer::POA_ptr poa)
PortableGroup::ObjectGroup_ptr | create_object_group (const char *type_id, const char *domain_id, PortableGroup::ObjectGroupId &group_id)
PortableGroup::ObjectGroup_ptr | remove_profiles (PortableGroup::ObjectGroup_ptr group, PortableGroup::ObjectGroup_ptr profile) const
PortableGroup::ObjectGroup_ptr | merge_iors (TAO_IOP::TAO_IOR_Manipulation::IORList &iors) const
int | set_primary (TAO_IOP::TAO_IOR_Property *prop, PortableGroup::ObjectGroup_ptr reference, CORBA::Object_ptr new_primary) const
void | dump_membership (const char *label, PortableGroup::ObjectGroup_ptr member) const
## Private Member Functions
void | allocate_ogid (PortableGroup::ObjectGroupId &ogid)
PortableServer::ObjectId * | convert_ogid_to_oid (PortableGroup::ObjectGroupId ogid) const
## Private Attributes
CORBA::ORB_var | orb_
| The orb.
PortableServer::POA_var | poa_
| Reference to the POA that created the object group references.
TAO_IOP::TAO_IOR_Manipulation_var | iorm_
| The ORBs IORManipulation object.
TAO_SYNCH_MUTEX | lock_ogid_
| Lock used to synchronize access to next_ogid_.
PortableGroup::ObjectGroupId | next_ogid_
| Next ogid to be allocated.

## Constructor & Destructor Documentation

TAO::PG_Object_Group_Manipulator::PG_Object_Group_Manipulator | ( |  | ) |

| Constructor.

TAO::PG_Object_Group_Manipulator::~PG_Object_Group_Manipulator | ( |  | ) |

| Destructor.

## Member Function Documentation

void TAO::PG_Object_Group_Manipulator::allocate_ogid | ( | PortableGroup::ObjectGroupId & | ogid | ) | `[private]`

| Allocate an ogid for a new object group

PortableServer::ObjectId* TAO::PG_Object_Group_Manipulator::convert_ogid_to_oid | ( | PortableGroup::ObjectGroupId | ogid | ) | const`[private]`

| convert numeric OGID to Sequence<Octet> oid

PortableGroup::ObjectGroup_ptr TAO::PG_Object_Group_Manipulator::create_object_group | ( | const char * | type_id,
|  | const char * | domain_id,
|  | PortableGroup::ObjectGroupId & | group_id
| ) |

| Create an empty object group.

void TAO::PG_Object_Group_Manipulator::dump_membership | ( | const char * | label,
|  | PortableGroup::ObjectGroup_ptr | member
| ) | const

void TAO::PG_Object_Group_Manipulator::init | ( | CORBA::ORB_ptr | orb,
|  | PortableServer::POA_ptr | poa
| ) |

| Initializes the group creator.

PortableGroup::ObjectGroup_ptr TAO::PG_Object_Group_Manipulator::merge_iors | ( | TAO_IOP::TAO_IOR_Manipulation::IORList & | iors | ) | const

PortableGroup::ObjectGroup_ptr TAO::PG_Object_Group_Manipulator::remove_profiles | ( | PortableGroup::ObjectGroup_ptr | group,
|  | PortableGroup::ObjectGroup_ptr | profile
| ) | const

int TAO::PG_Object_Group_Manipulator::set_primary | ( | TAO_IOP::TAO_IOR_Property * | prop,
|  | PortableGroup::ObjectGroup_ptr | reference,
|  | CORBA::Object_ptr | new_primary
| ) | const

## Member Data Documentation

TAO_IOP::TAO_IOR_Manipulation_var TAO::PG_Object_Group_Manipulator::iorm_`[private]`

| The ORBs IORManipulation object.

TAO_SYNCH_MUTEX TAO::PG_Object_Group_Manipulator::lock_ogid_`[private]`

| Lock used to synchronize access to next_ogid_.

PortableGroup::ObjectGroupId TAO::PG_Object_Group_Manipulator::next_ogid_`[private]`

| Next ogid to be allocated.

CORBA::ORB_var TAO::PG_Object_Group_Manipulator::orb_`[private]`

| The orb.

PortableServer::POA_var TAO::PG_Object_Group_Manipulator::poa_`[private]`

| Reference to the POA that created the object group references.

The documentation for this class was generated from the following file:

- PG_Object_Group_Manipulator.h